# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Public Member Functions | Protected Attributes

# vl::Color Class Reference

RenderState wrapping the OpenGL function glColor(), see also http://www.opengl.org/sdk/docs/man/xhtml/glColor.xml for more information. More...

`#include <Shader.hpp>`

Inheritance diagram for vl::Color:

List of all members.

## Public Member Functions

| Color ()
virtual ERenderState | type () const
virtual void | apply (int index, const Camera *, OpenGLContext *ctx) const
| The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.
void | setValue (const fvec4 &color)
const fvec4 & | value () const
virtual ref< RenderState > | clone () const

## Protected Attributes

fvec4 | mColor

## Detailed Description

RenderState wrapping the OpenGL function glColor(), see also http://www.opengl.org/sdk/docs/man/xhtml/glColor.xml for more information.

See also:
  Shader, Effect, Actor

Definition at line 94 of file Shader.hpp.

## Constructor & Destructor Documentation

vl::Color::Color | ( | ) | `[inline]`

Definition at line 99 of file Shader.hpp.

References VL_DEBUG_SET_OBJECT_NAME.

## Member Function Documentation

virtual ERenderState vl::Color::type | ( | ) | const`[inline, virtual]`

Reimplemented from vl::RenderState.

Definition at line 104 of file Shader.hpp.

References vl::RS_Color.

void Color::apply | ( | int | index,
|  | const Camera * | camera,
|  | OpenGLContext * | ctx
| ) |  | const`[virtual]`

The parameter cameara is NULL if we are disabling the state, non-NULL if we are enabling it.

Implements vl::RenderState.

Definition at line 699 of file Shader.cpp.

References vl::Vector4< T_Scalar >::a(), vl::Vector4< T_Scalar >::b(), vl::Vector4< T_Scalar >::g(), vl::OpenGLContext::mColor, mColor, vl::Vector4< T_Scalar >::r(), and VL_CHECK_OGL.

void vl::Color::setValue | ( | const fvec4 & | color ) | `[inline]`

Definition at line 108 of file Shader.hpp.

Referenced by vl::VLXClassWrapper_Color::importColor().

const fvec4& vl::Color::value | ( | ) | const`[inline]`

Definition at line 110 of file Shader.hpp.

Referenced by vl::VLXClassWrapper_Color::exportColor().

virtual ref<RenderState> vl::Color::clone | ( | ) | const`[inline, virtual]`

Implements vl::RenderState.

Definition at line 112 of file Shader.hpp.

## Member Data Documentation

fvec4 vl::Color::mColor`[protected]`

Definition at line 120 of file Shader.hpp.

Referenced by apply().

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/Shader.cpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:50.
Permission is granted to use this page to write and publish articles regarding Visualization Library.